import random
import math
import sys

def main():
    x = 0
    y = 0
    n_steps = 10
    if len(sys.argv) == 2:
          n_steps = int(sys.argv[1])
    take_walk(x, y, n_steps)

def take_walk(x, y, n_steps):
    for i in range(n_steps):

        step_x = 0
        step_y = 0

        if random.randint(0, 1) == 0:
              step_x = random.randint(0, 1) * 2 - 1
        else:
              step_y = random.randint(0, 1) * 2 - 1
        x = x + step_x
        y = y + step_y
        distance = math.sqrt(x*x + y*y) 
        print(i, x, y, distance)

main()
